<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2021
 * @WebSite     : https://www.shiros.fr
 *
 * @Author      : Alexandre Caillot
 *
 * @File        : MyComponent.vue
 * @Created_at  : 06/02/2021
 * @Update_at   : 06/02/2021
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/MyComponent.css" scoped></style>

<script>
    export default {
        name: 'MyComponent',

        props: {
            msg: {
                type: String,
                default: null
            }
        },

        methods: {
            // --------------------------------
            // Events

            /**
             * Event on : Click.
             *
             * @param event
             */
            clickEvent(event) {
                // Emit
                this.$emit('click', event);
            }
        }
    }
</script>

<template>
    <section class="my-component" @click="clickEvent">
        <slot>{{ msg }}</slot>
    </section>
</template>
